using System;
using System.Collections.Generic;

namespace Interfaces
{
    public interface IContainerHelper
    {
        T Get<T>();
        IEnumerable<T> GetAll<T>();
        void RegisterType(Type typeToBindTo, Type typeBeingBound, string uniqueName);
    }
}
